<?xml version="1.0" encoding="UTF-8"?>
    <tp:taxonomyPackage xml:lang="en" xmlns:tp="http://xbrl.org/2016/taxonomy-package" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://xbrl.org/2016/taxonomy-package http://www.xbrl.org/2016/taxonomy-package.xsd">
      <tp:identifier>http://www.thpa.gr/xbrl/2025</tp:identifier> 
      <tp:name>THPA Annual Report Taxonomy</tp:name>
      <tp:description>This is an extension taxonomy created for reporting TPA SA's annual report. The taxonomy imports ESMA 2024 taxonomy and XBRL International's LEI (CR) taxonomy.</tp:description>
      <tp:version>2025-12-31</tp:version>
      <tp:publisher>TPA SA.</tp:publisher>
      <tp:publisherURL>http://www.thpa.gr/</tp:publisherURL>
      <tp:publisherCountry>GR</tp:publisherCountry>
      <tp:publicationDate>2025-12-31</tp:publicationDate>
      <tp:entryPoints>
        <tp:entryPoint>
          <tp:name>THPA Annual Report</tp:name>
          <tp:description>Elements, presentation tree calculation tree and dimension relationships for preparing TPA SA's annual report.</tp:description>
          <tp:entryPointDocument href="http://www.thpa.gr/xbrl/2025/213800ETW48B6KOWZA42-2025-12-31.xsd"/>
          
          <tp:entryPointDocument href="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor-lab-en.xml"/>
          <tp:entryPointDocument href="https://www.esma.europa.eu/taxonomy/2024-03-27/esef_cor-gen-en.xml"/>
          <tp:languages>
          
          <tp:language>en</tp:language> 
          </tp:languages>
        </tp:entryPoint>
      </tp:entryPoints>
    </tp:taxonomyPackage>